## ros-eloquent-py-trees-ros-tutorials 2.0.2

=== doc/Makefile ===
all:
	@echo "This makefile is for building documentation"
	@echo "in the virtual environment via '. ./venv.bash'"
	@echo ""
	@echo "Valid targets:"
	@echo ""
	@echo "    docs: build the sphinx documentation in ./html"
	@echo "    clean: clean out the html directory"

# use -vv for more verbosity
docs:
	sphinx-build -v -b html . html

clean:
	rm -rf html

.PHONY: docs clean

=== debian/changelog ===
ros-eloquent-py-trees-ros-tutorials (2.0.2-1bionic) bionic; urgency=high

  * [launch] tutorials seven, eight - not five

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 14 May 2020 04:00:00 -0000

ros-eloquent-py-trees-ros-tutorials (2.0.1-1bionic) bionic; urgency=high

  * [launch] switch to ros2 launch (not ros2 run)
  * [launch] dashing/eloquent handling of emulate_tty
  * [tests] moved from unittest to pytest
  * [tutorials] catch and log appropriately when ctrl-c engaged in setup
  * [tutorials] catch the setup specific TimedOutError so other errors are easy to diagnose

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 30 Dec 2019 05:00:00 -0000

ros-eloquent-py-trees-ros-tutorials (1.0.5-1bionic) bionic; urgency=high

  * [tests] shorten time to send cancel request to avoid accidental success too early

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 04 Oct 2019 04:00:00 -0000

ros-eloquent-py-trees-ros-tutorials (1.0.4-1bionic) bionic; urgency=high

  * [tutorials] updated for new blackboard (with tracking) changes

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 03 Oct 2019 04:00:00 -0000

ros-eloquent-py-trees-ros-tutorials (1.0.3-1bionic) bionic; urgency=high

  * [infra] add ament_index file to be installed

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 16 Aug 2019 04:00:00 -0000

ros-eloquent-py-trees-ros-tutorials (1.0.2-1bionic) bionic; urgency=high

  * [infra] script installation bugfix

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 27 Jun 2019 04:00:00 -0000

ros-eloquent-py-trees-ros-tutorials (1.0.1-1bionic) bionic; urgency=high

  * [infra] various minor release bugfixes

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 26 Jun 2019 04:00:00 -0000

ros-eloquent-py-trees-ros-tutorials (1.0.0-1bionic) bionic; urgency=high

  * [tutorials] all tutorials except for bagging upgraded for ROS2 dashing

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 22 Jun 2019 04:00:00 -0000

=== debian/control ===
Source: ros-eloquent-py-trees-ros-tutorials
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), pyqt5-dev-tools, python3-pytest, python3-setuptools, qttools5-dev-tools, ros-eloquent-action-msgs, ros-eloquent-py-trees, ros-eloquent-py-trees-ros, ros-eloquent-rclpy, ros-eloquent-ros-workspace, python3-all, python3-setuptools
Homepage: https://py-trees-ros-tutorials.readthedocs.io/en/release-2.0.x/
Standards-Version: 3.9.2

Package: ros-eloquent-py-trees-ros-tutorials
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, pyqt5-dev, python3-pyqt5, python3-pyqt5.qtsvg, python3-sip-dev, ros-eloquent-action-msgs, ros-eloquent-geometry-msgs, ros-eloquent-launch, ros-eloquent-launch-ros, ros-eloquent-py-trees, ros-eloquent-py-trees-ros, ros-eloquent-py-trees-ros-interfaces, ros-eloquent-rcl-interfaces, ros-eloquent-rclpy, ros-eloquent-ros2launch, ros-eloquent-ros2param, ros-eloquent-ros2run, ros-eloquent-ros2service, ros-eloquent-ros2topic, ros-eloquent-sensor-msgs, ros-eloquent-std-msgs, ros-eloquent-ros-workspace
Description: ROS2 extensions and behaviours for py_trees.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Python package installation variables
export PYBUILD_INSTALL_ARGS=--prefix "/opt/ros/eloquent" \
	--install-lib "\$$base/lib/{interpreter}/site-packages" \
	 --install-scripts "\$$base/bin" 

%:
	dh $@ -v --buildsystem=pybuild --with python3

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-py-trees-ros-tutorials//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
